summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2014-01-22 18:49:15 +0100
committerMichael Vogt <mvo@debian.org>2014-01-22 18:49:15 +0100
commit5003325cb5ac9e95785fae32448bab4787b4d243 (patch)
tree14d613283a5280fbf9ae7260fee9cb5f72712413
parentf744c64c591cec9e5aa489a9af55e1ed6d1871d1 (diff)
parent6d73fe5be080e66a4f6ff2b250ed1957ae7ac063 (diff)
Merge remote-tracking branch 'mvo/debian/sid' into debian/experimental-no-abi-break
-rw-r--r--apt-private/private-search.cc2
-rw-r--r--cmdline/apt.cc3
-rwxr-xr-xtest/integration/test-apt-cli-list (renamed from test/integration/test-apt-binary)0
-rwxr-xr-xtest/integration/test-apt-cli-search42
-rwxr-xr-xtest/integration/test-apt-cli-show29
5 files changed, 74 insertions, 2 deletions
diff --git a/apt-private/private-search.cc b/apt-private/private-search.cc
index ff4140fa7..9d7f36138 100644
--- a/apt-private/private-search.cc
+++ b/apt-private/private-search.cc
@@ -53,7 +53,7 @@ bool FullTextSearch(CommandLine &CmdL) /*{{{*/
std::map<std::string, std::string>::const_iterator K;
LocalitySortedVersionSet bag;
- OpTextProgress progress;
+ OpTextProgress progress(*_config);
progress.OverallProgress(0, 100, 50, _("Sorting"));
GetLocalitySortedVersionSet(CacheFile, bag, progress);
LocalitySortedVersionSet::iterator V = bag.begin();
diff --git a/cmdline/apt.cc b/cmdline/apt.cc
index 61d5d938a..07ade6b7c 100644
--- a/cmdline/apt.cc
+++ b/cmdline/apt.cc
@@ -103,10 +103,11 @@ int main(int argc, const char *argv[]) /*{{{*/
CommandLine::Dispatch Cmds[] = {{"list",&List},
{"search", &FullTextSearch},
{"show", &APT::Cmd::ShowPackage},
- // needs root
+ // package stuff
{"install",&DoInstall},
{"remove", &DoInstall},
{"purge", &DoInstall},
+ // system wide stuff
{"update",&DoUpdate},
{"upgrade",&DoAptUpgrade},
// misc
diff --git a/test/integration/test-apt-binary b/test/integration/test-apt-cli-list
index 8d5df9051..8d5df9051 100755
--- a/test/integration/test-apt-binary
+++ b/test/integration/test-apt-cli-list
diff --git a/test/integration/test-apt-cli-search b/test/integration/test-apt-cli-search
new file mode 100755
index 000000000..979aff880
--- /dev/null
+++ b/test/integration/test-apt-cli-search
@@ -0,0 +1,42 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture "i386"
+
+DESCR='Some description that has a unusual word xxyyzz and aabbcc'
+DESCR2='Some other description with the unusual aabbcc only'
+insertpackage 'unstable' 'foo' 'all' '1.0' '' '' "$DESCR"
+insertpackage 'testing' 'bar' 'i386' '2.0' '' '' "$DESCR2"
+
+setupaptarchive
+
+APTARCHIVE=$(readlink -f ./aptarchive)
+
+# with OP progress
+testequal "Sorting...
+Full Text Search...
+foo/unstable 1.0 all
+ $DESCR
+" apt search xxyyzz
+
+# without op progress
+testequal "foo/unstable 1.0 all
+ $DESCR
+" apt search -qq xxyyzz
+
+# search with multiple words is a AND search
+testequal "foo/unstable 1.0 all
+ $DESCR
+" apt search -qq aabbcc xxyyzz
+
+# output is sorted and search word finds both package
+testequal "bar/testing 2.0 i386
+ $DESCR2
+
+foo/unstable 1.0 all
+ $DESCR
+" apt search -qq aabbcc
diff --git a/test/integration/test-apt-cli-show b/test/integration/test-apt-cli-show
new file mode 100755
index 000000000..0ab3d2e56
--- /dev/null
+++ b/test/integration/test-apt-cli-show
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture "i386"
+
+DESCR='Some description
+ That has multiple lines'
+insertpackage 'unstable' 'foo' 'all' '1.0' '' '' "$DESCR"
+
+setupaptarchive
+
+APTARCHIVE=$(readlink -f ./aptarchive)
+
+# note that we do not display Description-md5 with the "apt" cmd
+testequal "Package: foo
+Priority: optional
+Section: other
+Installed-Size: 42
+Maintainer: Joe Sixpack <joe@example.org>
+Architecture: all
+Version: 1.0
+Filename: pool/main/foo/foo_1.0_all.deb
+Description: Some description
+ That has multiple lines
+" apt show foo